Graphviz Issue Tracker
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002243graphvizDotpublic2013-01-09 00:582013-09-07 13:27
Reporterhengxin 
Assigned Toellson 
PriorityurgentSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformWindowsOSWindowsOS VersionWindows 7
Summary0002243: Dot crashes for a particular dot file
DescriptionI'm using GraphViz 2.28, and Dot crashes for the particular file (.gv) in the attachment.

The behavior of GraphViz/Dot is strange:
(1) it crashes for the file in the attachment
(2) it works well if only the last statement "wx2 -> wx1[style = dashed, color = red, label = "1"];" is removed
(3) it works well if only the eighth statement "{rank = same;0;wx1;wx2;rx1;}" is removed
(4) it also works well if only the label (that is ", label = "1"") in the last statement is removed
Steps To ReproduceJust following the steps in Description:
(1) it crashes for the file in the attachment
(2) it works well if only the last statement "wx2 -> wx1[style = dashed, color = red, label = "1"];" is removed
(3) it works well if only the eighth statement "{rank = same;0;wx1;wx2;rx1;}" is removed
(4) it also works well if only the label (that is ", label = "1"") in the last statement is removed
TagsNo tags attached.
AUXILLARY-FILES
DATE-FIXED
FIX-COMMENTbug does not occur in 2.30 or later
FORMER-ID
INPUT-FILE
OUTPUT-FILE
STATUS-COMMENT
VERSIONgraphviz-2.28.0.msi
Attached Files? file icon dot1.gv [^] (428 bytes) 2013-01-09 00:58

- Relationships

-  Notes
User avatar (0000272)
ellson (administrator)
2013-01-15 09:28

Doesn't seem to crash graphviz-2.30's dot
User avatar (0000504)
Abyssoft (reporter)
2013-09-07 12:29

Attached graph opens and runs fine in 2.33.20130905

- Issue History
Date Modified Username Field Change
2013-01-09 00:58 hengxin New Issue
2013-01-09 00:58 hengxin File Added: dot1.gv
2013-01-15 09:28 ellson Note Added: 0000272
2013-09-07 12:29 Abyssoft Note Added: 0000504
2013-09-07 13:15 ellson FIX-COMMENT => bug does not occur in 2.30 or later
2013-09-07 13:15 ellson Status new => resolved
2013-09-07 13:15 ellson Resolution open => fixed
2013-09-07 13:15 ellson Assigned To => ellson
2013-09-07 13:27 ellson Status resolved => closed


MantisBT 1.2.5[^]
Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker